DefaultRendererRegistry (Grails 6.0.0)

Package: org.grails.plugins.web.rest.render

## [Groovy] Class DefaultRendererRegistry

- org.grails.plugins.web.rest.render.DefaultRendererRegistry

- All Implemented Interfaces and Traits:
    RendererRegistry

      @groovy.transform.CompileStatic
      class DefaultRendererRegistry
      extends ClassAndMimeTypeRegistry<Renderer, RendererCacheKey>
      implements RendererRegistry

  Default implementation of the RendererRegistry interface

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `DefaultRendererRegistry.ContainerRendererCacheKey` |
    `class` | `DefaultRendererRegistry.RendererCacheKey` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private com.github.benmanes.caffeine.cache.Cache<ContainerRendererCacheKey, Renderer<?>>` | `containerRendererCache` |
    `private java.util.Map<ContainerRendererCacheKey, Renderer>` | `containerRenderers` |
    `private org.grails.web.gsp.io.GrailsConventionGroovyPageLocator` | `groovyPageLocator` |
    `private java.lang.String` | `modelSuffix` |
    `private ProxyHandler` | `proxyHandler` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.grails.web.gsp.io.GrailsConventionGroovyPageLocator` | `groovyPageLocator`
    `java.lang.String` | `modelSuffix`
    `ProxyHandler` | `proxyHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultRendererRegistry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addContainerRenderer(java.lang.Class objectType, Renderer renderer)`
    `` | `void` | `addDefaultRenderer(Renderer<java.lang.Object> renderer)`
    `<T>` | `void` | `addRenderer(Renderer<T> renderer)`
    `` | `DefaultRendererRegistry.RendererCacheKey` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
    `<C, T>` | `Renderer<C>` | `findContainerRenderer(MimeType mimeType, java.lang.Class<C> containerType, T object)`
    `<T>` | `Renderer<T>` | `findRenderer(MimeType mimeType, T object)`
    `` | `protected java.lang.Class<? extends java.lang.Object>` | `getTargetClassForContainer(java.lang.Class containerClass, java.lang.Object object)`
    `` | `void` | `initialize()`
    `` | `boolean` | `isContainerType(java.lang.Class<?> aClass)`
    `` | `void` | `setRenderers(Renderer[] renderers)`

- - ### Field Detail

    - #### private com.github.benmanes.caffeine.cache.Cache<ContainerRendererCacheKey, Renderer<?>> containerRendererCache

    - #### private java.util.Map<ContainerRendererCacheKey, Renderer> containerRenderers

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator

    - #### private java.lang.String modelSuffix

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private ProxyHandler proxyHandler

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator

    - #### java.lang.String modelSuffix

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) ProxyHandler proxyHandler

  - ### Constructor Detail

    - #### DefaultRendererRegistry()

  - ### Method Detail

    - #### @java.lang.Override void addContainerRenderer(java.lang.Class objectType, Renderer renderer)

    - #### @java.lang.Override void addDefaultRenderer(Renderer<java.lang.Object> renderer)

    - #### <T> @java.lang.Override void addRenderer(Renderer<T> renderer)

    - #### @java.lang.Override DefaultRendererRegistry.RendererCacheKey createCacheKey(java.lang.Class type, MimeType mimeType)

    - #### <C, T> @java.lang.Override Renderer<C> findContainerRenderer(MimeType mimeType, java.lang.Class<C> containerType, T object)

    - #### <T> @java.lang.Override Renderer<T> findRenderer(MimeType mimeType, T object)

    - #### protected java.lang.Class<? extends java.lang.Object> getTargetClassForContainer(java.lang.Class containerClass, java.lang.Object object)

    - #### @javax.annotation.PostConstruct void initialize()

    - #### @java.lang.Override boolean isContainerType(java.lang.Class<?> aClass)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setRenderers(Renderer[] renderers)